# 32/64bit spec
#
%define major 1
%define spymajor 0
%define libname %mklibname pcsclite %{major}
%define develname %mklibname pcsclite -d

Summary:	M.U.S.C.L.E. PC/SC Framework for Linux
Summary(de):	M.U.S.C.L.E. PC/SC Framework für Linux
Name:		pcsc-lite
Version:	2.0.3
Release:	%mkrel 1
License:	BSD-like
Group:		System/Servers
URL:		https://pcsclite.apdu.fr/
Source0:	https://pcsclite.apdu.fr/files/pcsc-lite-%{version}.tar.xz
Source1:	pcscd.script
Patch0:  pcsc-lite-1.9.1-maxreaders.patch
BuildRequires:	chkconfig
BuildRequires:	doxygen 
BuildRequires:	udev-devel

Requires(pre):	rpm-helper
Requires:	rpm-helper
Requires:	%{libname} = %{version}

%description
pcscd is the daemon program for PC/SC Lite. It is a resource 
manager that coorinates communications with Smart Card readers and Smart 
Cards that are connected to the system.

The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a 
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

This package was tested to work with A.E.T. Europe SafeSign. This
package is supported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%description -l de
pcscd ist der Dienst für PC/SC Lite. Es ist eine Ressourcenverwaltung, die
die Kommunikation mit Smart Card Lesegeräten und Smart Cards, die an das 
System angeschlossen sind, koordiniert.

Der Nutzen von PC/SC Lite ist es eine Windows(R) SCard Schnittstelle in 
einem kleine Formfaktor für die Kommunikation mit Chipkarten und Lesern 
zu bieten. PC/SC Lite nutzt die selbe wincard api, wie sie unter Windows(R)
genutzt wird.

%package -n	%{libname}
Summary:	Muscle PCSC Framework for Linux libraries
Summary(de):	M.U.S.C.L.E PC/SC Framework Bibliotheken für Linux
Group:		System/Libraries
Provides:	libpcsclite%{major} = %{version}-%{release}

%description -n	%{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%description -n	%{libname} -l de
pcscd ist der Dienst für PC/SC Lite. Es ist eine Ressourcenverwaltung, die
die Kommunikation mit Smart Card Lesegeräten und Smart Cards, die an das 
System angeschlossen sind, koordiniert.

Dieses Paket enthält die Laufzeitbibliotheken für PC/SC lite.

%package -n	%{develname}
Summary:	Muscle PCSC Framework for Linux development files
Summary(de):	M.U.S.C.L.E PC/SC Framework Entwicklerdateien für Linux
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpcsclite-devel = %{version}-%{release}
Obsoletes:	%mklibname -d pcsclite 1
Conflicts:	%mklibname -d pcsclite 0
Obsoletes:	%{_lib}pcsclite-static-devel

%description -n	%{develname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%description -n	%{develname} -l de
pcscd ist der Dienst für PC/SC Lite. Es ist eine Ressourcenverwaltung, die
die Kommunikation mit Smart Card Lesegeräten und Smart Cards, die an das 
System angeschlossen sind, koordiniert.

Das %{name}-devel Paket enthält die Headerdateien und Bibliotheken, die 
gebraucht werden, um PC/SC lite Programme  zu kompilieren. Wenn Sie 
PC/SC Lite Programme entwickeln wollen, werden Sie dieses Paket benötigen.

%package	doc
Summary:	PC/SC Lite developer documentation
Summary(de):	PC/SC Lite Entwicklerdokumentation
Group:		Documentation
BuildArch:	noarch
Requires:	%{libname} = %{version}

%description	doc
%{summary}.

%description doc -l de
Entwicklerdokumentation für das PC/SC Lite Framework.


%prep
%setup -q
%autopatch -p1

%build
%serverbuild
%configure2_5x --disable-static --disable-libsystemd \
   --enable-ipcdir=%{_localstatedir}/run \
   --enable-usbdropdir=%{_libdir}/pcsc/drivers \
   --enable-polkit
%make
doxygen doc/doxygen.conf; rm -f doc/api/*.{map,md5}

%install
%makeinstall_std

mkdir -p %{buildroot}/%{_initrddir}
install -m 0755 %SOURCE1 %{buildroot}/%{_initrddir}/pcscd

rm -f %{buildroot}/%{_libdir}/*.la

# Create empty directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pcsc/drivers


%post
%_post_service pcscd

%preun
%_preun_service pcscd      


%files
%dir %{_sysconfdir}/reader.conf.d/
%dir %{_libdir}/pcsc/drivers/
%attr(755,root,root) %{_initrddir}/pcscd
%{_mandir}/*/*
%{_sbindir}/*
%{_bindir}/pcsc-spy
%{_datadir}/polkit-1/actions/org.debian.pcsc-lite.policy

%files -n %{libname}
%{_libdir}/libpcsc*.so.%{major}*
%{_libdir}/libpcscspy.so.%{spymajor}*

%files -n %{develname}
%{_libdir}/pkgconfig/* 
%{_includedir}/*
%{_libdir}/*.so

%files doc
%doc doc/api/ doc/example/pcsc_demo.c
%{_datadir}/doc/pcsc-lite/README.polkit
%{_datadir}/doc/pcsc-lite/install_spy.sh
%{_datadir}/doc/pcsc-lite/uninstall_spy.sh

%changelog
* Tue Apr 09 2024 tex - 2.0.3-1pclos2024
- new version

* Tue Dec 20 2022 tex - 1.9.9-3pclos2022
- rebuild against updates

* Fri Oct 14 2022 tex - 1.9.9-2pclos2022
- fix rpm group

* Tue Sep 27 2022 tex - 1.9.9-1pclos2022
- new version

* Fri Jun 17 2022 tex - 1.9.8-1pclos2022
- new version

* Tue May 31 2022 tex - 1.9.7-1pclos2022
- new version

* Wed Nov 10 2021 tex - 1.9.4-1pclos2021
- new version

* Tue Mar 09 2021 tex - 1.9.1-1pclos2021
- new version
